Name:           nfrotz
Summary:        Z-machine interpreter for Interactive Fiction games, with support for unicode
Version:        0.3.3
Release:        %mkrel 13
Source0:        https://mirror.ifarchive.org/if-archive/infocom/interpreters/frotz/%{name}-%{version}.tgz
Patch0:         nfrotz-fix-building-with-gcc14.patch
URL:            https://www.stanford.edu/~mcmartin/if/
License:        GPLv2

Group:          Games/Adventure
BuildRequires:  pkgconfig(ncursesw)

%description
NFrotz is a Z-Machine interpreter. The Z-machine is a virtual machine
designed by Infocom to run all of their text adventures. It went
through multiple revisions during the lifetime of the company, and two
further revisions (V7 and V8) were created by Graham Nelson after the
company's demise. The specification is now quite well documented; this
version of Frotz supports version 1.1.

This version of Frotz fully supports all these versions of the Z-Machine
except for version 6. Version 6 is semi-supported by displaying the
outlines of V6 graphics with the picture number in the bottom-right corner.

NFrotz is a merged port of the original Unix Frotz, incorporating
extensions made by the WinFrotz port.
The primary visible difference between NFrotz and ordinary Frotz is
support for UTF-8 terminals and some awareness of iFiction-based metadata
if present.

%prep
%autosetup -p1

perl -pi -e "s|/lib/|/%_lib/|" configure

# do not strip binary:
sed -i -e 's|strip nfrotz||' Makefile

%build

%configure
%make_build

%install
%make_install PREFIX=%{buildroot}%{_prefix} MAN_PREFIX=%{buildroot}%{_datadir}

%files
%doc AUTHORS ChangeLog COPYING HOW_TO_PLAY README
%{_mandir}/*/*
%{_bindir}/*


%changelog
* Wed Nov 06 2024 ns80 <ns80> 0.3.3-13.mga10
+ Revision: 2112774
- try to fix building with GCC 14

* Thu Mar 17 2022 umeabot <umeabot> 0.3.3-12.mga9
+ Revision: 1797291
- Mageia 9 Mass Rebuild

* Thu Feb 13 2020 umeabot <umeabot> 0.3.3-11.mga8
+ Revision: 1515365
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 0.3.3-10.mga7
+ Revision: 1299736
- Mageia 7 Mass Rebuild

* Tue Feb 16 2016 umeabot <umeabot> 0.3.3-9.mga6
+ Revision: 961749
- Mageia 6 Mass Rebuild

* Sun Oct 25 2015 daviddavid <daviddavid> 0.3.3-8.mga6
+ Revision: 895292
- do not strip binary to fix empty debuginfo

* Wed Oct 15 2014 umeabot <umeabot> 0.3.3-7.mga5
+ Revision: 747641
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.3.3-6.mga5
+ Revision: 682879
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.3.3-5.mga4
+ Revision: 508286
- Mageia 4 Mass Rebuild
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild
+ malo <malo>
- fix RPM group

* Sun Jan 06 2013 stormi <stormi> 0.3.3-3.mga3
+ Revision: 339896
- rebuild for mga3

* Thu Oct 06 2011 stormi <stormi> 0.3.3-2.mga2
+ Revision: 152508
- clean spec

* Wed Jan 26 2011 stormi <stormi> 0.3.3-2.mga1
+ Revision: 41482
- bump release
- imported package nfrotz


* Wed Jul 30 2008 Michael Scherer <misc@mandriva.org> 0.3.3-1mdv2009.0
+ Revision: 254964
- fix build on x86_64 ( with /lib hardcoded in the script )
- remove wrong Requires
- update to 0.3.3
- import nfrotz


* Sat Mar 29 2008 Samuel Verschelde <specialspam@laposte.net> 0.3.2-1mdv2008.1
- first package 